Sha256: e566cb1c499330f92aa1b66d7b545001abb92ba59b3114dfc52fbd218886ec8e

Contents?: true

Size: 468 Bytes

Versions: 65

Compression:

Stored size: 468 Bytes

Contents

#!/bin/sh
command -v docker > /dev/null 2>&1 || {
  echo "Unable to find \`docker' on your \$PATH, is it installed?" >&2
  exit 1
}

docker version | grep -q "Server version\|Server:" || {
  echo "Unable to run \`docker version', the docker daemon may not be running" >&2

  if [ $UID -eq 0 ]; then
    echo "Please ensure \`sudo docker version' succeeds and try again" >&2
  else
    echo "Please ensure \`docker version' succeeds and try again" >&2
  fi

  exit 1
}

Version data entries

65 entries across 65 versions & 1 rubygems

Version Path
codeclimate-0.40.3 bin/check
codeclimate-0.40.2 bin/check
codeclimate-0.40.1 bin/check
codeclimate-0.40.0 bin/check
codeclimate-0.39.0 bin/check
codeclimate-0.38.1 bin/check
codeclimate-0.38.0 bin/check
codeclimate-0.37.0 bin/check
codeclimate-0.36.0 bin/check
codeclimate-0.35.2 bin/check
codeclimate-0.35.1 bin/check
codeclimate-0.35.0 bin/check
codeclimate-0.34.1 bin/check
codeclimate-0.34.0 bin/check
codeclimate-0.33.0 bin/check
codeclimate-0.32.1 bin/check
codeclimate-0.32.0 bin/check
codeclimate-0.32.0.rc1 bin/check
codeclimate-0.31.1 bin/check
codeclimate-0.31.0 bin/check